#q:=3;
Read("classical_group.g");
Read("amalgam.g");

# O_8(q)  = Q^-(7,q)
#
#   Root group sizes: [ q^2, q, q ]
#   Subgroup sizes: [ q^6, q^3, q^3 ]
#   Size(U) = q^12
#   Expected index: q^6
#
# Covering degree 1 verified using coset enumeration for
#   q in [3,4,5,7,8,9,11,13]
#
# Checking again, using Sims' trick: simply connected for
#   q in [3,4,5,7,8,9,11,13,17,19,23]
#   (using MAF inside KBmag, we also verify q in [16,25,27,29,31]
#
unip:=UnipotentRootGroups(GF(q), 3, 2, 1, 1);
CoveringDegree(unip);
