#q:=3;
Read("classical_group.g");
Read("amalgam.g");


# U_7(q) = H(6, q^2)
#
#   Root group sizes: [ q^3, q^2, q^2 ]
#   Subgroup sizes: [ q^10, q^6, q^5 ]
#   Size(U) = q^21
#   Expected index: q^11
#
# Covering degree 1 verified using coset enumeration for
#   q in [2,3,4,5]
#
# Checking again, using Sims' trick: simply connected for
#   q in [2,3,4,5,7]
#
unip:=UnipotentRootGroups(GF(q^2), 3, 1, q, 1);
CoveringDegree(unip);
